Bug 139179 - APM Suspend buggered up on Thinkpad
APM Suspend buggered up on Thinkpad
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-13 13:37 EST by Matt Britt
Modified: 2015-01-04 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:45:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Britt 2004-11-13 13:37:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Galeon/1.3.18

Description of problem:
When I issue an apm suspend event on this Thinkpad R40, it seems to
suspend normally but will always wake up unprompted after about 3.5
minutes.  Furthermore, sometimes after waking up the keyboard
character translation will be so messed up I can only hard reboot the
system to get it to stop.  I did _not_ experience any of these
problems on any FC2 or FC1 kernel; APM suspend/resume worked
flawlessly with my current hardware and software configuration.  (ACPI
is totally busted on this system, so it is disabled with the kernel
args acpi=off apm=on, thankfully Thinkpads have a good working APM
BIOS).  Comparing the system logs from current apm suspend/resume
cycles and the same logs from before I upgraded from FC2 to FC3,
nothing seems to be significantly different.  I have also considered
that network and USB modules could be to blame, and have unloaded them
prior to issuing the suspend, but with the same result.

This is an urgent concern as APM suspend is a _necessary_ function for
laptop usage.  Attached are excerpts from my system log after a
suspend/resume cycle.

Version-Release number of selected component (if applicable):
2.6.9-1.667

How reproducible:
Always

Steps to Reproduce:
1. Issue an APM suspend to RAM command either by a hotkey or apm -s
2. Wait approximately 3.5 minutes
    

Actual Results:  APM only stays in suspend for approximately 3.5
minutes and sometimes destroys keyboard character translation beyond
use upon resume.

Expected Results:  APM stays in suspend until an event is issued by
the user to signal resume; i.e. opening the lid or pressing a key. 
APM also resumes without destroying keyboard character translation.

Additional info:

From /var/log/messages with apmd in verbose output mode:

Nov 12 22:11:17 ueberfluessig kernel: PCI: Found IRQ 11 for device
0000:00:1f.1
Nov 12 22:11:17 ueberfluessig kernel: PCI: Sharing IRQ 11 with
0000:00:1d.2
Nov 12 22:11:17 ueberfluessig kernel: PCI: Sharing IRQ 11 with
0000:02:02.0
Nov 12 22:11:17 ueberfluessig kernel: PCI: Found IRQ 5 for device
0000:00:1f.5
Nov 12 22:11:17 ueberfluessig kernel: PCI: Sharing IRQ 5 with 0000:00:1f.3
Nov 12 22:11:17 ueberfluessig kernel: PCI: Sharing IRQ 5 with 0000:00:1f.6
Nov 12 22:11:18 ueberfluessig kernel: PCI: Found IRQ 5 for device
0000:00:1f.6
Nov 12 22:11:18 ueberfluessig kernel: PCI: Sharing IRQ 5 with 0000:00:1f.3
Nov 12 22:11:18 ueberfluessig kernel: PCI: Sharing IRQ 5 with 0000:00:1f.5
Nov 12 22:11:19 ueberfluessig kernel: PCI: Found IRQ 11 for device
0000:01:00.0
Nov 12 22:11:19 ueberfluessig kernel: PCI: Sharing IRQ 11 with
0000:00:1d.0
Nov 12 22:11:19 ueberfluessig kernel: PCI: Sharing IRQ 11 with
0000:02:07.0
Nov 12 22:11:19 ueberfluessig kernel: PCI: Found IRQ 11 for device
0000:02:07.0
Nov 12 22:11:19 ueberfluessig kernel: PCI: Sharing IRQ 11 with
0000:00:1d.0
Nov 12 22:11:19 ueberfluessig kernel: PCI: Sharing IRQ 11 with
0000:01:00.0
Nov 12 22:11:19 ueberfluessig kernel: hub 1-0:1.0: reactivate --> -22
Nov 12 22:11:19 ueberfluessig kernel: hub 1-0:1.0: reactivate --> -22
Nov 12 22:11:19 ueberfluessig kernel: agpgart: Found an AGP 2.0
compliant device at 0000:00:00.0.
Nov 12 22:11:19 ueberfluessig kernel: agpgart: Putting AGP V2 device
at 0000:00:00.0 into 1x mode
Nov 12 22:11:19 ueberfluessig kernel: agpgart: Putting AGP V2 device
at 0000:01:00.0 into 1x mode
Nov 12 22:11:20 ueberfluessig kernel: Disabled Privacy Extensions on
device 02369a00(lo)
Nov 12 22:11:20 ueberfluessig netfs: Mounting other filesystems: 
succeeded
Nov 12 22:11:20 ueberfluessig netfs: Mounting other filesystems: 
succeeded
Nov 12 22:11:20 ueberfluessig apmd[2406]: Normal Resume after 00:03:14
(100% unknown) AC power
Nov 12 22:13:50 ueberfluessig kernel: atkbd.c: Unknown key pressed
(translated set 2, code 0x66 on isa0060/serio0).
Nov 12 22:13:50 ueberfluessig kernel: atkbd.c: Use 'setkeycodes 66
<keycode>' to make it known.
Nov 12 22:13:50 ueberfluessig kernel: atkbd.c: Unknown key pressed
(translated set 2, code 0x66 on isa0060/serio0).
Nov 12 22:13:50 ueberfluessig kernel: atkbd.c: Use 'setkeycodes 66
<keycode>' to make it known.
Nov 12 22:13:50 ueberfluessig kernel: atkbd.c: Unknown key pressed
(translated set 2, code 0x66 on isa0060/serio0).
Nov 12 22:13:50 ueberfluessig kernel: atkbd.c: Use 'setkeycodes 66
<keycode>' to make it known.
Nov 12 22:13:50 ueberfluessig kernel: atkbd.c: Unknown key pressed
(translated set 2, code 0x66 on isa0060/serio0).
Nov 12 22:13:50 ueberfluessig kernel: atkbd.c: Use 'setkeycodes 66
<keycode>' to make it known.
Nov 12 22:13:50 ueberfluessig kernel: atkbd.c: Unknown key pressed
(translated set 2, code 0x66 on isa0060/serio0).
Nov 12 22:13:50 ueberfluessig kernel: atkbd.c: Use 'setkeycodes 66
<keycode>' to make it known.
Nov 12 22:13:50 ueberfluessig kernel: atkbd.c: Unknown key pressed
(translated set 2, code 0x66 on isa0060/serio0).
Nov 12 22:13:50 ueberfluessig kernel: atkbd.c: Use 'setkeycodes 66
<keycode>' to make it known.
Nov 12 22:13:50 ueberfluessig kernel: atkbd.c: Unknown key pressed
(translated set 2, code 0x66 on isa0060/serio0).
[... More messages about unknown key events until I cut the power]
Comment 1 Matt Britt 2004-11-13 14:01:31 EST
Some additional information: this problem is not Xorg-related as
another similar bug reports; I experience the same trouble when
starting in runlevel 3.  Also, the keyboard mapping problem happens
after a second (still ~3.5 min) suspend/resume cycle.
Comment 2 Matt Britt 2004-11-15 07:15:07 EST
Interestingly, I tried using ACPI again, and it works flawlessly now
(something that wasn't the case in any prior FC kernel).  Suspend
works and doesn't wake up until prompted.  So now I'm using ACPI to
avoid the APM problem.
Comment 3 Colin Charles 2004-11-21 05:04:52 EST
With newer laptops like yours, ACPI is preferred over APM, so maybe
you ought to just use ACPI

colin->davej: is APM still being supported on "newer" laptops? If not,
this is a closer
Comment 4 Dave Jones 2005-07-15 14:20:53 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 20:45:40 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.